arrangers:
- link: artist/58037
  names:
    en: XOC
catalog: mega025
categories:
- Doujin Music
category: Doujin Music
classification: Original Work
composers:
- link: artist/58037
  names:
    en: XOC
covers:
- full: https://media.vgm.io/albums/29/15892/15892-1255886067.jpg
  medium: https://medium-media.vgm.io/albums/29/15892/15892-1255886067.jpg
  name: Front
  thumb: https://thumb-media.vgm.io/albums/29/15892/15892-1255886067.jpg
- full: https://media.vgm.io/albums/29/15892/15892-1255886080.jpg
  medium: https://medium-media.vgm.io/albums/29/15892/15892-1255886080.jpg
  name: Back
  thumb: https://thumb-media.vgm.io/albums/29/15892/15892-1255886080.jpg
discs:
- disc_length: '8:46'
  name: Disc 1
  tracks:
  - names:
      English: soundcard and theme
    track_length: '1:01'
  - names:
      English: the terms
    track_length: '2:08'
  - names:
      English: elimino
    track_length: '1:01'
  - names:
      English: burn rape kill
    track_length: '1:25'
  - names:
      English: cosmos
    track_length: '2:02'
  - names:
      English: ODK - tipsy mix
    track_length: '1:09'
link: album/15892
lyricists: []
media_format: Digital
meta:
  added_date: 2009-10-18T09:13
  edited_date: 2010-01-05T14:04
  fetched_date: 2025-12-07T17:18
  freedb: 1
  ttl: 86400
  visitors: 2679
name: Mizzle Radish Motet
names:
  en: Mizzle Radish Motet
  ja: Xoc & Heavy Friends Vol. 1
  ja-latn: Mizzle Radish Motet
notes: A bizarre, interweb-based, collaborative mashup of insane proportions. This
  monster contains sounds recorded by various artists on The Shizz and Metroid Metal
  forums, all brilliantly arranged by XOC to create something altogether amazing,
  frightening, and hilarious.
organizations:
- &id001
  names:
    en: Mega Twerp
  role: publisher
performers:
- link: artist/58037
  names:
    en: XOC
- link: artist/2754
  names:
    en: Spamtron
- link: artist/1248
  names:
    en: Shawn Phase
- link: artist/3451
  names:
    en: Tackle
- names:
    en: JellyDonut
- link: artist/5739
  names:
    en: Paragon
- names:
    en: Ryu Hayabusa
- names:
    en: The Chunklet
- names:
    en: Insane Penguin
- names:
    en: Daniel Lillie
- link: artist/2169
  names:
    en: Phlogiston
- link: artist/27327
  names:
    en: KirbyPufocia
- names:
    en: DoctorBlackJack
- names:
    en: Omniverse
- names:
    en: Broken Steel
- names:
    en: Naz
- names:
    en: Tropwen
picture_full: https://media.vgm.io/albums/29/15892/15892-1255886067.jpg
picture_small: https://medium-media.vgm.io/albums/29/15892/15892-1255886067.jpg
picture_thumb: https://thumb-media.vgm.io/albums/29/15892/15892-1255886067.jpg
publish_format: Doujin/Indie
publisher: *id001
related: []
release_date: '2006-06-01'
release_events: []
release_price:
  price: Free
reprints: []
vgmdb_link: https://vgmdb.net/album/15892?perpage=99999
votes: 0
